Bug 1302427 - [RFE] Add ability to import RHEL KVM guest images (managed by libvirt) directly into RHEV
Summary: [RFE] Add ability to import RHEL KVM guest images (managed by libvirt) direct...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: RFEs
Version: 3.5.0
Hardware: All
OS: Linux
high
medium
Target Milestone: ovirt-4.0.0-beta
: 4.0.0
Assignee: Shahar Havivi
QA Contact: Nisim Simsolo
URL: http://www.ovirt.org/develop/release-...
Whiteboard:
Depends On: 1342133 1359668
Blocks: 1276215 1386828 1406229
TreeView+ depends on / blocked
 
Reported: 2016-01-27 20:38 UTC by Derrick Ornelas
Modified: 2019-12-16 05:19 UTC (History)
16 users (show)

Fixed In Version: 4.0.0-12
Doc Type: Enhancement
Doc Text:
With this update, the ability to import Red Hat Enterprise Linux KVM guest images managed by libvirt directly to Red Hat Virtualization has been added. To import KVM virtual machines from libvirt the libvirt uri, username and password are required. For the libvirt uri using QEMU and TCP is qemu+tcp://[USER]@[HOST]/system. QEMU and ssh is also supported but requires that the VDSM user is enabled and public/private keys must be generated for the VDSM user and exhanged with the libvirt server.
Clone Of:
Environment:
Last Closed: 2016-08-23 20:32:26 UTC
oVirt Team: Virt
Target Upstream Version:
gklein: testing_plan_complete?


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1362186 'unspecified' 'CLOSED' 'Import KVM guest image: virtio-win drivers are not injected to Windows VM during import process (leads to BSOD).' 2019-11-19 14:30:48 UTC
Red Hat Bugzilla 1362525 'high' 'CLOSED' 'Import KVM guest image: cannot convert VM with block device to block device.' 2019-11-19 14:30:48 UTC
Red Hat Bugzilla 1364164 'high' 'CLOSED' 'Import KVM guest image: cannot import VM as clone' 2019-11-19 14:30:48 UTC
Red Hat Knowledge Base (Solution) 2712251 None None None 2016-10-27 04:27:32 UTC
Red Hat Product Errata RHEA-2016:1743 normal SHIPPED_LIVE Red Hat Virtualization Manager 4.0 GA Enhancement (ovirt-engine) 2016-09-02 21:54:01 UTC
oVirt gerrit 51286 'None' MERGED UI: v2v - add support for Kvm via Libvirt 2020-05-04 06:34:46 UTC
oVirt gerrit 55797 'None' MERGED kvm2ovirt: tool for copying images from libvirt 2020-05-04 06:34:46 UTC
oVirt gerrit 56459 'None' MERGED v2v: add support for importing kvm based vms from libvirt 2020-05-04 06:34:46 UTC
oVirt gerrit 56531 'None' MERGED Engine: KVM v2v - no need to ask for ovf for KVM vms 2020-05-04 06:34:46 UTC
oVirt gerrit 56912 'None' MERGED v2v: get_external_vms return format for KVM images 2020-05-04 06:34:46 UTC
oVirt gerrit 57247 'None' MERGED v2v: get_external_vms returns additional video info for kvm images 2020-05-04 06:34:46 UTC

Internal Links: 1362186 1362525 1364164

Description Derrick Ornelas 2016-01-27 20:38:02 UTC
Add ability to import RHEL KVM guest images directly into RHEV 

As of the latest version of libguestfs/virt-v2v there is no support for converting virtual machines running on RHEL KVM and copying them to a RHEV Export storage domain.  The feature was removed from libguestfs because no conversion is needed inside a guest already running on QEMU/KVM, and it was feared that the intrusive nature of the conversion process was an undue risk.  This decision means there is no supported way to get a RHEL KVM guest into a RHEV environment.  

Add an Import option to the RHEV UI that take RHEL KVM host information, connects to the host, lists guests, and allows the user to select with VM(s) to import.  The import should extract the VM info, create VM , create vdisk(s), and then copy disk image(s) to desired Data storage domain(s).

Comment 3 Michal Skrivanek 2016-01-29 11:41:02 UTC
note the scope of this feature is libvirt-based guests. Not plain disk files, nor "loose" qemu processes.

Comment 4 Moran Goldboim 2016-03-24 10:40:04 UTC
postponing to next version due to capacity reasons.

Comment 5 Yaniv Lavi 2016-05-05 14:00:32 UTC
Is this going to be in 4.0 or not? I see the patch is progressing.

Comment 6 Shahar Havivi 2016-05-05 14:36:30 UTC
Looks its going to make it

Comment 7 Yaniv Lavi 2016-05-05 15:18:05 UTC
should we move this back?

Comment 11 Nisim Simsolo 2016-08-22 08:03:43 UTC
Verified: 
rhevm-4.0.2.6-0.1.el7ev
libvirt-client-2.0.0-5.el7.x86_64
vdsm-4.18.11-1.el7ev.x86_64
qemu-kvm-rhev-2.6.0-21.el7.x86_64
sanlock-3.4.0-1.el7.x86_64

polarion test plan added to external trackers.

Comment 13 errata-xmlrpc 2016-08-23 20:32:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-1743.html


Note You need to log in before you can comment on or make changes to this bug.